메인 콘텐츠로 건너뛰기
GET
/
2
/
news
/
search
뉴스 검색
curl --request GET \
  --url https://api.x.com/2/news/search \
  --header 'Authorization: Bearer <token>'
{
  "data": [
    {
      "rest_id": "2244994945",
      "category": "<string>",
      "cluster_posts_results": [
        {
          "post_id": "1346889436626259968"
        }
      ],
      "contexts": {
        "entities": {
          "events": [
            "<string>"
          ],
          "organizations": [
            "<string>"
          ],
          "people": [
            "<string>"
          ],
          "places": [
            "<string>"
          ],
          "products": [
            "<string>"
          ]
        },
        "finance": {
          "tickers": [
            "<string>"
          ]
        },
        "sports": {
          "teams": [
            "<string>"
          ]
        },
        "topics": [
          "<string>"
        ]
      },
      "disclaimer": "<string>",
      "hook": "<string>",
      "keywords": [
        "<string>"
      ],
      "last_updated_at_ms": "2025-7-14T04:35:55Z",
      "name": "<string>",
      "summary": "<string>"
    }
  ],
  "errors": [
    {
      "title": "<string>",
      "type": "<string>",
      "detail": "<string>",
      "status": 123
    }
  ],
  "meta": {
    "result_count": 123
  }
}

인증

Authorization
string
header
필수

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

쿼리 매개변수

query
string
필수

검색 쿼리입니다.

Required string length: 1 - 2048
예시:

"crypto"

max_results
integer<int32>
기본값:10

반환할 결과의 수입니다.

필수 범위: 1 <= x <= 100
max_age_hours
integer<int32>
기본값:168

검색 대상 뉴스 기사의 최대 연령입니다.

필수 범위: 1 <= x <= 720
news.fields
enum<string>[]

요청에 포함할 News 필드의 쉼표로 구분된 목록입니다. News 객체에서 지정할 수 있는 필드입니다.

Minimum array length: 1
사용 가능한 옵션:
category,
cluster_posts_results,
contexts,
disclaimer,
hook,
id,
keywords,
name,
summary,
updated_at
예시:
[
"category",
"cluster_posts_results",
"contexts",
"disclaimer",
"hook",
"id",
"keywords",
"name",
"summary",
"updated_at"
]

응답

요청이 성공했습니다.

data
object[]
Minimum array length: 1
errors
object[]
Minimum array length: 1

IETF RFC 7807(https://tools.ietf.org/html/rfc7807)에 정의된 HTTP Problem Details 객체

meta
object